@charset "UTF-8";

/* 25.11.17 BH */
/*�Ű���*/
p, h5,{letter-spacing: -0.4px;}


@media (min-width: 500px) {
    .onboarding_silde>.swiper-wrapper {text-align: center;}
    .onboarding_silde > .swiper-wrapper > .swiper-slide img {max-width: 400px;}
}
.magazine h5 { font-size: 1.8rem; font-weight: 700; color: var(--gray-800);}

.mz_slide01 p {
    font-size: 1.2rem;
    font-weight: 500;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}
.mz_slide01 ul{ display: flex; gap: 1.5rem; padding: 0 1.6rem;}
.mz_slide01 ul::after {content: ""; flex: 0 0 0.6rem;}
.mz_slide01 ul li {flex-shrink: 0; max-width: 6.5rem; text-align: center;}
.mz_slide01 ul li > div {width: 6.5rem;aspect-ratio: 1 / 1;border-radius: 50%;overflow: hidden;margin-bottom: 0.5rem;}
.mz_slide01 ul li img {width: 100%;aspect-ratio: 1 / 1;object-fit: cover;}

.mz_slide02 ul { display: flex; gap: 1.0rem; padding:0 1.6rem;}
.mz_slide02 ul::after {content: ""; flex: 0 0 0.6rem;}
.mz_slide02 h5 {
    font-size: 1.6rem;
    font-weight: 700;
    line-height: 140%;
    padding-top: 1.0rem;
    padding-bottom: 0.2rem;
    letter-spacing:-0.4px;
}
.mz_slide02 {
    background: url('/assets/img/magazine_back.png') no-repeat center;
    background-size: 100% auto;
}
.mz_slide02 ul li {
    width: 15.4rem;
    height: 18rem;
    border-radius: 1.5rem;
    padding: 1.5rem 1.2rem;
    background: rgba(255, 255, 255, 0.5);
    box-shadow: 0 4px 12px rgba(30, 87, 195, 0.15);
    border: 1px solid #fff;
    flex-shrink: 0;
}

.mz_slide02 ul li > div {width: 6.2rem;aspect-ratio: 1 / 1;border-radius: 50%;overflow: hidden;margin-bottom: 0.5rem;}
.mz_slide02 ul li img {width: 100%;aspect-ratio: 1 / 1;object-fit: cover;}

.mz_slide02 div p {
    font-size: 1.2rem;
    line-height: 140%;
    color: var(--gray-700);
}

.mz_slide02 div img { width: 6.2rem; }
.story_wrap ul li{display:flex; gap: 1rem;}
.cont03 .thumbnail{width: 11rem; height: 11rem; border-radius: 1.2rem; flex-shrink: 0; border:1px solid #efefef;overflow: hidden;}
.cont03_tit > .btn {font-size: 1.4rem; color:var(--primary-200);}
.magazine_list {width: 100%; display: flex; flex-direction: column; gap: 1.2rem;}
.magazine_list .cont_pf {flex-shrink: 0;}
.magazine_list .cont_pf > div {width: 1.8rem; aspect-ratio: 1 / 1;border-radius: 50%;overflow: hidden; display: inline-flex; margin-right: 0.5rem; flex-shrink: 0;}
.magazine_list .cont_pf img {width: 100%;aspect-ratio: 1 / 1;object-fit: cover;}
.magazine_list .badge {padding:0;}
.magazine_list .cont_mid {}
.magazine_tit {line-height: 140%;}
.cont_mid {display: flex; flex-direction: column; gap: 1rem;}

.modal_tit {line-height: 140%;}

.author_more {background: var(--gray-50);}
.author_more > div img{width: 2.2rem;}
.author_more .more{background:none;}
.author_list li { border-radius: 1.2rem; flex-shrink: 0;width: 100%;max-width: 30.5rem;}
.author_list li:only-child {max-width: 100%;}
.author_list li:only-child .author_txt {max-width:100%;}
.author_list li .img_div{ width: 9.6rem; aspect-ratio: 1 / 1;border-radius: 1rem;overflow: hidden; flex-shrink: 0;}
.author_list li img{ width: 100%;aspect-ratio: 1 / 1;object-fit: cover;}
.author_txt {max-width: 16.5rem; line-height: 100%;width: 100%;}

/* 2025.11.18 BH �߰� */
.line_light {border-bottom: 1px solid #EEF1F8;}
.file_list {border-radius: 1.2rem; overflow: hidden;}
.file_list li:hover {background: var(--gray-50); transition: 0.2s ease;}
.file_list li{position: relative; border-radius: 1.2rem;}
.file_list li div img{max-width: 2.4rem;}
.file_list ul li:last-child {margin-bottom: 0;}
.warm_box.big_btn{padding:0.7rem 1rem; border:0.1rem solid var(--gray-100); border-radius:5rem; height:3.2rem;}
.warm_box p, .help_box p{font-size:1.2rem; font-weight: 500; color: var(--gray-800);}

.help_box.big_btn{padding:0.7rem 1rem; border:0.1rem solid var(--gray-100); border-radius:5rem;}
.warm_box.big_btn.on{border:0.1rem solid var(--primary-200);}
.help_box.big_btn.on{border:0.1rem solid var(--primary-200);}

/* 2025.11.19 BH �߰� */
.review {line-height: initial;}
.mz_tit {font-size: 1.8rem; font-weight: 600; line-height: 160%;}
.add_file {padding:0.7rem 1.7rem; border-radius: 0.8rem; background-color: transparent; border: 1px solid var(--gray-700);}
.file_del {
    position: absolute;
    top: 50%;
    right: 0;
    transform: translate(-50%, -50%);
    width: 1.6rem;
    height: 1.6rem;
    border: 0;
    background-color: transparent;
    display: inline-flex;
}
.magazine_thumb {width: 10.5rem; height: 10.5rem; flex-shrink: 0; border-radius: 1.5rem; overflow: hidden;}

/* 2025.11.20 BH �߰� */
.link_list li{border-radius: 0.5rem; overflow: hidden;}
.link_list li a{/*color:var(--gray-800);*/ color:#4188ff;}
.link_list li div img{max-width: 1.8rem;}
.review_detail h2 {line-height: 140%;}
.detail_slide {position: relative;}
.detail_slide .swiper-pagination {left:auto; right: 3.2rem; bottom: 1.6rem; letter-spacing: -0.1rem;}
.slide_pagination_style {
    display: inline-block;
    width: fit-content;
    padding: 0.5rem 1.2rem;
    background: rgb(0 0 0 / 50%);
    color: #fff;
    font-size: 1.2rem;
    font-weight: 500;
}
.detail_slide .swiper-slide{padding:0 1.6rem;}
.detail_slide .swiper-slide img {
    width: 100%;
    aspect-ratio: 1 / 1;
    object-fit: cover;
}
.rating_write {text-align: center; border-top: 10px solid var(--gray-50); border-bottom: 10px solid var(--gray-50);}
.rating_write textarea.form-control{min-height:17rem; font-size: 1.4rem;}

/* �ı� �۾��� ���, �̹����� �̿�� ����*/
.rv_write_bn {background: #F9F9F9; border-radius: 1.2rem;}
.rv_write_bn img{max-width: 8.3rem;}
.rv_write_bn p{line-height: 150%;}
/* �ı� �۾��� ��� end*/

/* ���� */
/* �۾���� */
.rating_stars {direction: rtl;}
.rating_input .rating_star {
    display: inline-block;
    width: 3.6rem;
    height: 3.6rem;
    background: url('/assets/img/star_off.svg') no-repeat center/contain;
    cursor: pointer;
}
.rating_stars input {display: none;}
.rating_stars input:checked~.rating_star {background: url('/assets/img/star_on.svg') no-repeat center/contain;}
/* �󼼿� */
.rating_view .rating_stars,.rating_list .rating_stars {direction: ltr;}
.rating_view .rating_star {
    display: inline-block;
    width: 2.0rem;
    height: 2.0rem;
    background: url('/assets/img/star_off.svg') no-repeat center/contain;
    cursor: default;
}
.rating_view .star_filled {background: url('/assets/img/star_on.svg') no-repeat center/contain;}
/* ����Ʈ�� */
.rating_list .rating_star {
    display: inline-block;
    width: 1.5rem;
    height: 1.5rem;
    background: url('/assets/img/star_off.svg') no-repeat center/contain;
    cursor: default;
}
.rating_list .star_filled {background: url('/assets/img/star_on.svg') no-repeat center/contain;}
/* ���� ��*/

/*���*/
.modal_col {flex:0 0 calc(25% - 0.5rem);}

/* 2025.11.21 BH �߰� */
#review_top .modal-body {padding:0;}
.review_top_list ul button {width: 100%; border-bottom: 1px solid #eee; text-align: center;}
.review_top_list ul li:last-child button {border-bottom: 0;}
.withdraw_info {background: var(--gray-50); border-radius: 1.2rem;}
.withdraw_info ol{padding-inline-start: 2rem;}
.cs_center {border-radius: 1.2rem;}
.inquiry_partner h4 {font-size: 2.8rem; line-height: 130%; letter-spacing:-0.84px;}

/* 2025.11.24 BH �߰� */
.mypg .container {
    background: url(../img/mypage_bg.jpg) 0 6rem no-repeat;
    background-size: contain;
}
.onboarding_silde {
    background: url(../img/onboarding_bg.png) no-repeat;
    background-size: cover;
    background-position: center 100%;
}
#footer_wr div a,#footer_wr div button p {color: #919BB5;}
.boon_reveiw ul li {box-shadow: 0 0 1.5rem rgba(0, 0, 0, 0.06); border-radius: 1.2rem;}
.recommend_boon .text_tit_box p:first-of-type {max-width: 25rem;}

/* 2025.11.25 BH �߰� */
/* ���� �̹��� ������ */
#modal_review_more .modal-body ul {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 0.5rem;
}
#modal_review_more .modal-body ul li {
    position: relative;
    width: 100%;
    aspect-ratio: 1 / 1;
    overflow: hidden;
    cursor: pointer;
}
#modal_review_more .modal-body ul li img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}
#modal_special_rates .modal-body {padding: 2.0rem 0 10.4rem !important;}
#modal_teacher .modal-body {padding: 1.5rem 2.0rem 1.5rem !important;}
#modal_teacher .modal-footer .btn {height: 5.4rem;}
.review .main_question_box ul li {margin-bottom: 1rem;}
.review_top .btn{border-radius: 0;}
.qa_writ_btn {box-shadow: 0 0 10px rgba(30, 87, 195, 0.2);}

.review_bn_slide {position: relative;}
.review_bn_slide .swiper-pagination {left:auto; right: 3.2rem; bottom: 1.6rem; letter-spacing: -0.1rem;}
.main_vote p:first-of-type {line-height: 140%;}

/*251222*/
.text_body_mg {
    font-size: 1.2rem;
    font-weight: 400;
    line-height: 140%;
    letter-spacing: -0.025rem;
}
#point_list_box > ul > li > div:nth-of-type(2) {text-align: right;}
.big_logo {text-align: center;}
.big_logo img {
    width: 100%;
    display: inline-block;
    height: auto;
    max-width: 40rem;
}
.point_label {
    display: inline-flex;
    align-items: center;
}
.point_label img {
  width: 1.2rem !important;
  height: 1.2rem !important;
  flex-shrink: 0;
}
.sch_ip .btn.disabled,
.sch_ip .btn:disabled {
    background: none;
    border-color: transparent;
}
/*ios*/
/*.recent_search {padding-top: env(safe-area-inset-top);}
.ios_hd_test {display: flex; align-items: center;}*/
#event_list_box #event ul li img {
    aspect-ratio: 343 / 120;
    object-fit: cover;
    border-radius: 12px;
}
/* 26.01.07 수정*/
.event_view .text-body > img {
    max-width: calc(100% + 32px) !important;
    margin-left: -16px;
    margin-right: -16px;
}
.detail_info_box a {color:#4188ff;}
/* 26.01.12 수정*/
.review_bn_slide .swiper-wrapper .swiper-slide{padding: 0 10px;}
.review_bn_slide .swiper-wrapper .swiper-slide img{border-radius: 15px;}
.mz_list_file img {max-width: 1.5rem;}
.icon_56 {
    width: 5.6rem;
    height: auto;
    flex-shrink: 0;
}
.is_ios_app .magazine .cont03 {margin-bottom: env(safe-area-inset-bottom);}
.is_ios_app .magazine_write {margin-bottom: env(safe-area-inset-bottom);}

/* 26.01.20 고객요청 이미지 통일*/
.banner_detail .detail_info_box img{border-radius: 0;}
.banner_detail figure {margin: 0;}
.banner_detail figure img {
    max-width: calc(100% + 32px) !important;
    margin-left: -16px;
    margin-right: -16px;
}
.boon_recommend_detail .web_edit_box {border-radius: 0;}
.boon_recommend_detail figure {margin: 0;}
.boon_recommend_detail figure img {
    max-width: calc(100% + 32px) !important;
    margin-left: -16px;
    margin-right: -16px;
}
.boon_detail_info.on {overflow: visible;}
.boon_detail_info figure {margin: 0;}
.boon_detail_info figure img {
    max-width: calc(100% + 32px) !important;
    margin-left: -16px;
    margin-right: -16px;
}
.notice_view .text-body img {
    max-width: calc(100% + 32px) !important;
    margin-left: -16px;
    margin-right: -16px;
}
.detail_info_box figure {margin: 0;}
.detail_info_box figure img {
    max-width: calc(100% + 32px) !important;
    margin-left: -16px;
    margin-right: -16px;
    border-radius: 0;
}
.card_glow {filter: drop-shadow(0px 0px 7px rgba(174, 190, 255, 0.5));}

/* 26.02.02 추가기능 */
/* 팝업 */
.popup-dim {
    position: fixed;
    inset: 0;
    background: rgba(0, 0, 0, .5);
    z-index: 1001;
}
.popup-dim.is-hide {
    opacity: 0;
    visibility: hidden;
    pointer-events: none;
}
.bottom-popup {
    position: fixed;
    left: 0;
    bottom: 0;
    width: 100%;
    max-width: 430px;
    z-index: 1002;
    transition: transform .3s ease, opacity .2s ease;
}
.bottom-popup.is-hide {
    opacity: 0;
    pointer-events: none;
}
.popup_body {aspect-ratio: 15/14;}
.popup_body img {height: 100%; object-fit: cover;}
.popup_body,
.popup_body .swiper-container,
.popup_body .swiper-wrapper,
.popup_body .swiper-slide {
    height: 100%;
}

@media (min-width:431px) {
    .bottom-popup {
        top: 50%;
        left: 50%;
        bottom: auto;
        transform: translate(-50%, -50%);
    }
    .popup_content {border-radius: 16px !important;}
}
.popup_content {
    background: #fff;
    border-radius: 16px 16px 0 0;
    overflow: hidden;
}
.ic_16 {width: 16px; height: 16px;}

/**/
.popup_footer {display: flex; justify-content: space-between; align-items: center;}
.pop_slide {position: relative;}
.pop_slide .swiper-pagination {left:auto; right: 1rem; bottom: 1rem;}
.pop_slide .slide_pagination_style {padding: 0.3rem 1.5rem; line-height: 2rem;}
.pop_slide .swiper-wrapper .swiper-slide img {width: 100%; max-width: 100%;}

.modal_popup.modal {
    padding-right: 0 !important;
    overflow-y: hidden;
}
.modal_popup.modal.show .modal-dialog {
    padding-right: 0 !important;
    transform: translate(-50%, 0);
}
.modal_popup.modal .modal-dialog {
    transform: translate(0, 5rem);
    position: fixed;
    bottom: 0;
    width: 100%;
    max-width: 100%;
    transform: translate(-50%, 5rem);
    left: 50%;
    justify-content: flex-end;
    margin: 0 auto;
    min-height: 100%;
    max-width: var(--body_width);
}
.modal_popup.modal .modal-content {
    border-radius: 2.4rem 2.4rem 0 0;
    margin-top: 3.0rem;
    width: 100%;
    max-width: 430px;
}
.is_ios_app .modal_popup.modal .modal-content {padding-bottom: calc(env(safe-area-inset-bottom) + 10px);}

/* 관리자 공지 */
/* 질문답변 */
.main_question_box ul li.pinned {
    border: 1px solid var(--primary);
    background-color: #F3F8FF;
}
.main_question_box ul li.pinned .badge-gray {
    color: #fff;
    background: var(--primary);
}
.main_question_box ul li.pinned .badge-gray img{
    filter: brightness(0) saturate(100%) invert(1);
}
/* 후기 */
.review .main_question_box ul li.pinned {
    border: 1px solid var(--primary);
    background-color: #F3F8FF;
}
.review .main_question_box ul li.pinned .badge-gray {
    color: #fff;
    background: var(--primary);
}
/* 매거진 */
.story_wrap ul li.pinned {
    border: 1px solid var(--primary);
    background-color: #F3F8FF;
    padding: 10px;
    border-radius: 16px;
}

/* 마이페이지 슬라이드*/
.mypg_slide {position: relative;}
.mypg_slide .swiper-pagination {left:auto; right: 1rem; bottom: 1rem;}
.mypg_slide .slide_pagination_style {padding: 0.3rem 1.5rem; line-height: 2rem;}
.mypg_slide .swiper-wrapper .swiper-slide img {border-radius: 1.5rem;}
/* 홈 슬라이드*/
.home_slide {position: relative;}
.home_slide .swiper-pagination {left:auto; right: 1rem; bottom: 1rem;}
.home_slide .slide_pagination_style {padding: 0.3rem 1.5rem; line-height: 2rem;}
.home_slide .swiper-wrapper .swiper-slide img {max-width: 100%; border-radius: 1.5rem;}

.magazine_list .text_badge{ flex-shrink: 0;}
.magazine_list .fs_12{ flex-shrink: 0;}
.review_list .fs_12 {flex-shrink: 0;}

.max_400 {max-width:40rem; margin:0 auto; padding: 0 3rem;}
/*반응형 max 340px*/
@media (max-width:320px) {
    .cont03 .thumbnail { width: 9rem; height: 9rem;}
    .magazine_thumb { width: 9rem; height: 9rem;}
}
@media (max-width:340px) {
    .cont03 .thumbnail {
        width: 9rem;
        height: 9rem;
    }
    .cont_mid {gap:0.5rem;}
    .magazine_list {gap: 1rem;}
    .pagination a {width: 3.5rem; height: 3.5rem;}
    .magazine_list .cont_pf {min-width: 0; flex: 1;}
    .magazine_list .cont_pf p{
        overflow: hidden;
        white-space: nowrap;
        text-overflow: ellipsis;
    }
}
@media (min-width:360px) {
    #modal-card .modal-content {transform: scale(1.1);}
}
@media (min-width:400px) {
    #modal-card .modal-content {transform: scale(1.2);}
}
@media (min-width:450px) {
    #modal-card .modal-content {transform: scale(1.3);}
}
@media (min-width:475px) {
    #modal-card .modal-content {transform: scale(1.4);}
}
@media (min-width:500px) {
    #modal-card .modal-content {transform: scale(1.5);}
}
@media (max-width:320px) {
    .card_box .card_top {padding: 2rem 2rem 1rem;}
}
@media (max-width:300px) {
    .card_box .card_top {padding: 2rem 1.5rem 1rem;}
    .card_box .card_top .color-096bff {font-size: 2rem;}
}
